%define realname memcached / yrmcds
%define modname yrmcds
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A99_%{modname}.ini

Summary:	The %{realname} module for PHP
Name:		php-%{modname}
Version:	1.1.1
Release:	%mkrel 1
Group:		Development/PHP
License:	BSD-like
URL:		https://github.com/cybozu/php-yrmcds
Source0:	https://github.com/cybozu/php-yrmcds/archive/v%{version}.tar.gz
BuildRequires:	php-devel
BuildRequires:	yrmcds-devel

%description
This PHP extension provides an object-oriented interface of libyrmcds, a
full-featured memcached / yrmcds client library.

%prep

%setup -q -n php-%{modname}-%{version}
rm -rf libyrmcds

%build
PHP_MAJOR_VERSION=`php-config --version | sed -r 's/^([0-9]+).*$/\1/'`

if [ "$PHP_MAJOR_VERSION" -lt 7 ]; then
	s=yrmcds_php5.c
    else
	s=yrmcds.c
fi

%{_usrsrc}/php-devel/buildext %{modname} "$s" "-lyrmcds -llz4" "-DCOMPILE_DL_YRMCDS -DHAVE_SPL"

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[yrmcds]
; The threshold for the transparent LZ4 compression.
;
; Do not compress objects below this threshold.
; The default is 16384 bytes.
; Setting this value to 0 disables transparent (de)compression.
yrmcds.compression_threshold = 16384

; The default socket timeout.
;
; Default is 5 seconds.
yrmcds.default_timeout = 5

; If detect_stale_connection is a nonzero value, the constructor of \yrmcds\Client
; checks for stale persistent connection by emitting "noop" command to a server.
; If the connection turns out to be stale, the constructor automatically
; discards the connection and establishes a new persistent connection.
yrmcds.detect_stale_connection = 1;
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%doc COPYING README* USAGE* yrmcds-api.php yrmcds_session.php
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Wed Feb 03 2016 oden <oden> 1.1.1-1.mga6
+ Revision: 933784
- imported package php-yrmcds

